PDevicePluginFactory< AbstractClass, KeyType >::Worker Class Reference

`#include <plugin.h>`

Inheritance diagram for PDevicePluginFactory< AbstractClass, KeyType >::Worker:

## Public Member Functions

| Worker (const KeyType &key, bool singleton=false)
| ~Worker ()

## Protected Member Functions

virtual AbstractClass * | Create (const KeyType &key) const
Protected Member Functions inherited from PFactory< AbstractClass, KeyType >::WorkerBase
| WorkerBase (bool singleton=false)
| WorkerBase (Abstract_T *instance, bool delSingleton=true)
virtual | ~WorkerBase ()
Abstract_T * | CreateInstance (const Key_T &key)
virtual void | DestroySingleton ()
bool | IsSingleton () const

## Additional Inherited Members

Protected Types inherited from PFactory< AbstractClass, KeyType >::WorkerBase
enum | Types { NonSingleton, StaticSingleton, DynamicSingleton }
Protected Attributes inherited from PFactory< AbstractClass, KeyType >::WorkerBase
enum PFactory::WorkerBase::Types | m_type
Abstract_T * | m_singletonInstance

## Constructor & Destructor Documentation

## Worker()

template<class AbstractClass , typename KeyType = PString>

PDevicePluginFactory< AbstractClass, KeyType >::Worker::Worker | ( | const KeyType & | key,
|  | bool | singleton = `false`
| ) |  |

inline

References PFactory< AbstractClass, KeyType >::Register().

## ~Worker()

template<class AbstractClass , typename KeyType = PString>

PDevicePluginFactory< AbstractClass, KeyType >::Worker::~Worker | ( |  | ) |

inline

References PDevicePluginFactory< AbstractClass, KeyType >::Worker::Create(), PFactory< AbstractClass, KeyType >::GetKeyMap(), and PFactory< AbstractClass, KeyType >::Unregister().

## Member Function Documentation

## Create()

template<class AbstractClass , typename KeyType = PString>

virtual AbstractClass* PDevicePluginFactory< AbstractClass, KeyType >::Worker::Create | ( | const KeyType & | key | ) | const

protected virtual

Reimplemented from PFactory< AbstractClass, KeyType >::WorkerBase.

Referenced by PDevicePluginFactory< AbstractClass, KeyType >::Worker::~Worker().

The documentation for this class was generated from the following file:

- plugin.h